Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 03-07-2017 19:06:09

Xillis
Membre
Distrib. : DFLinux 17
Inscription : 02-07-2017

l'extension .rpm

Bonjour,

Quelle est l'application sous Debian pour ouvrir les fichiers en .rmp ?

Merci

Hors ligne

#2 06-07-2017 19:07:55

Xillis
Membre
Distrib. : DFLinux 17
Inscription : 02-07-2017

Re : l'extension .rpm

up

Hors ligne

#3 06-07-2017 19:15:46

nIQnutn
Modeb
Distrib. : Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome
Inscription : 16-03-2012

Re : l'extension .rpm

c'est rpm ou rmp ?

Hors ligne

#4 06-07-2017 19:23:23

seb95
Membre
Distrib. : openSUSE Leap et Tumbleweed
(G)UI : GNOME, Xfce et KDE
Inscription : 19-02-2017
Site Web

Re : l'extension .rpm

Rpm ou rmp? Dans le titre tu demandes rpm et le post tu demande rmp...

Ensuite juste une question comme ça, .rpm est un format de paquet qui s'installe sur des distribution rpm, c'est a dire fedora, suse, mageia, rosa, ... Or, sous debian nous avons des .deb. Je pense que tu trouveras facilement des liens du wiki menant a ces differents formats de paquets.

Hors ligne

#5 06-07-2017 21:10:32

sogal
Black Metal Modo
Lieu : Nord Isère
Distrib. : openSUSE Leap 42.3
Noyau : Linux 4.4.76
(G)UI : GNOME
Inscription : 09-05-2013
Site Web

Re : l'extension .rpm

Un fichier .rpm est une archive, tu peux l'ouvrir avec un gestionnaire telle que File-roller (défaut du DE Gnome).

1485418338.png Hello IT ! Have you tried turning it off and on again ?

Hors ligne

#6 07-07-2017 07:44:22

seb95
Membre
Distrib. : openSUSE Leap et Tumbleweed
(G)UI : GNOME, Xfce et KDE
Inscription : 19-02-2017
Site Web

Re : l'extension .rpm

Encore faut t'il savoir pourquoi vouloir ouvrir ou utiliser un .rpm sur une debian, si c'est pour installer un paquet venant de hors des dépôts debian, je pense pas que c'est la meilleur chose a faire...

Hors ligne

#7 07-07-2017 10:57:56

sogal
Black Metal Modo
Lieu : Nord Isère
Distrib. : openSUSE Leap 42.3
Noyau : Linux 4.4.76
(G)UI : GNOME
Inscription : 09-05-2013
Site Web

Re : l'extension .rpm

seb95 a écrit :

Encore faut t'il savoir pourquoi vouloir ouvrir ou utiliser un .rpm sur une debian, si c'est pour installer un paquet venant de hors des dépôts debian, je pense pas que c'est la meilleur chose a faire...


Tout à fait d'accord, mais il pose la question de comment ouvrir le fichier, je lui répond tout bêtement en attendant qu'il donne les précisions que les autre intervenants du fil attendent pour l'aider au mieux.


1485418338.png Hello IT ! Have you tried turning it off and on again ?

Hors ligne

#8 07-07-2017 13:31:58

seb95
Membre
Distrib. : openSUSE Leap et Tumbleweed
(G)UI : GNOME, Xfce et KDE
Inscription : 19-02-2017
Site Web

Re : l'extension .rpm

Tout à fait d'accord, mais il pose la question de comment ouvrir le fichier, je lui répond tout bêtement en attendant qu'il donne les précisions que les autre intervenants du fil attendent pour l'aider au mieux.


Oui oui, j'ai bien compris c'est pour ça que je précise que sur debian, un rpm pas trop utilisé...

Dernière modification par seb95 (07-07-2017 14:07:47)

Hors ligne

#9 10-07-2017 20:32:03

Xillis
Membre
Distrib. : DFLinux 17
Inscription : 02-07-2017

Re : l'extension .rpm

C'est un fichier rpm mais je viens de voir que c'est incompatible puisque c'est au format 64 bit alors qu'il me faut en 32 bit.
En fait je cherche à installer google chrome, mais celui-ci ne propose que des fichiers rpm 64 bit

Hors ligne

#10 10-07-2017 20:52:23

bendia
Admin stagiaire
Distrib. : Stretch (et un peu Jessie)
Noyau : Linux 4.9.0-2-amd64
(G)UI : Gnome + Console
Inscription : 20-03-2012
Site Web

Re : l'extension .rpm

Hum, il y a chromium dans les dépôts officiels, qui est libre, et qui sert de base de code à chrome. Ça te permettrait d'éviter de tenter des choses pas très propres, genre, installer des paquet RPM wink

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

En ligne

#11 11-07-2017 08:35:44

Caribou22
Membre
Lieu : 22, Côtes d'Armor, Bretagne
Distrib. : Debian Stretch
Noyau : 4.9 amd64
(G)UI : XFCE
Inscription : 10-11-2014
Site Web

Hors ligne

#12 11-07-2017 19:49:12

Xillis
Membre
Distrib. : DFLinux 17
Inscription : 02-07-2017

Re : l'extension .rpm

Caribou22 a écrit :

Si Chromium ne va pas (je ne vois pas pourquoi smile ), Chrome existe bien en .deb : https://www.google.com/chrome/browser/d … form=linux



Ah ! tu es sur ce forum-ci aussi Caribou ? Tu es partout c'est bien smile
Bon pour revenir au sujet, je suis déjà passé sur le lien officiel google chrome mais ne propose que le téléchargement des liens avec l'extension du genre rpm64bit alors qu'il me faut amd86.

D'autre part, j'ai suivis vos conseil et voulu installer chromium, mais là aussi, ce n'est pas évident.
Dans le logithèque, le paquet nommé chromium n'a trouvé aucun résultat.

La documentation ubuntu me dirige vers un lien qui n'existe plus:

https://prnt.sc/fuf1zs

Je suis ensuite passé par le terminal et voilà ce que j'obtiens:


xillis@debian:~$ sudo add-apt-repository ppa:saiarcot895/chromium-beta
[sudo] Mot de passe de xillis : 
 This PPA contains the latest Chromium Beta builds, with hardware video decoding enabled, Native Client (temporarily unavailable), and support for Widevine (needed for viewing paid videos on Netflix and Youtube) enabled.

=== Widevine Support ===

The packages in this PPA have support for Widevine inside Chromium enabled. However, you still need to copy some files from Chrome into Chromium for you to use Netflix (or other websites using Encrypted Media Extensions) in Chromium.

1. Download and install Chrome (or extract the necessary files, if you know how to do that).
2. From the Chrome installation directory (probably /opt/google/chome or something similar), copy libwidevinecdm.so and libwidevinecdmadapter.so into /usr/lib/chromium-browser/.
3. Restart Chromium.
4. Go to chrome://plugins, and verify that the Widevine plugin is listed there.

=== API Key ====

Some Chromium features, including Sync, require an API key, which is not included with the packages below. To use these features, please follow the 11 steps at http://www.chromium.org/developers/how-tos/api-keys. Then, open .profile located in your home folder (you will need to see hidden files), and add the following three lines to the end of the file (on a new line):

export GOOGLE_API_KEY="api_key"
export GOOGLE_DEFAULT_CLIENT_ID="client_id"
export GOOGLE_DEFAULT_CLIENT_SECRET="client_secret"

Replace what is in the quotes (after the '=' sign in each line) with the appropriate value. You will need to log off and log back on (or restart if you prefer) for Chromium to use the keys.

=== NPAPI Plugins ===

Chromium Aura drops support for NPAPI plugins. This means that you cannot use the standard Flash (Flash 11.2) available through the main repo. Instead, you can just install pepperflashplugin-nonfree.

=== Help ===

If you need help with installing Chromium or notice stuff not working that should normally work, click on my name below in the "Adding this PPA to your system" section.

=== Packaging ===

Packaging for this PPA is at https://github.com/saiarcot895/chromium-ubuntu-build. A separate branch is created for each upstream branch number.
 More info: https://launchpad.net/~saiarcot895/+archive/ubuntu/chromium-beta
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: keybox '/tmp/tmpxury9bs9/pubring.gpg' created
gpg: /tmp/tmpxury9bs9/trustdb.gpg: trustdb created
gpg: key E6A17451DC058F40: public key "Launchpad PPA for Saikrishna Arcot" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg: no valid OpenPGP data found.
xillis@debian:~$
 



Alors je suis allé sur le site officiel de chromium, j'ai téléchargé le fichier zip et extrait le contenu, mais ça devient compliqué car parmi la liste des fichiers, je ne sais pas lequel je dois ouvrir pour lancer l'instal:

https://prnt.sc/fuf6ud

Et la dernière chose à importante à vérifier c'est de savoir si les extensions de chrome sont compatibles avec chromium. J'utilise l'application TAP qui est absolument nécessaire pour comptabiliser les tâches et toucher ma rémunération. Sera-t'elle compatible avec ce navigateur ?

Hors ligne

#13 11-07-2017 19:59:51

bendia
Admin stagiaire
Distrib. : Stretch (et un peu Jessie)
Noyau : Linux 4.9.0-2-amd64
(G)UI : Gnome + Console
Inscription : 20-03-2012
Site Web

Re : l'extension .rpm

Curieux ça, c'est dans les dépôts https://packages.debian.org/fr/stretch/chromium

Si tu ne le trouve pas, c'est qu'il y a un problème de configuration dans ton sources.list (ou d'utilisation du logiciel d'installation, mais on verra dans un second temps) hmm

Peux-tu lemontrer avec

car /etc/apt/sources.list


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

En ligne

#14 13-07-2017 20:43:39

Xillis
Membre
Distrib. : DFLinux 17
Inscription : 02-07-2017

Re : l'extension .rpm

xillis@debian:~$

sudo apt-get install hardinfo


[sudo] Mot de passe de xillis : 

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet hardinfo


xillis@debian:~$

cat /etc/apt/sources.list


## debian stretch 9 main
deb http://deb.debian.org/debian/ stretch main contrib non-free

## debian stretch 9 updates
deb http://deb.debian.org/debian-security stretch/updates main contrib non-free
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free

#sources
# deb-src http://deb.debian.org/debian/ stretch main contrib non-free
# deb-src http://deb.debian.org/debian-security stretch/updates main contrib non-free
# deb-src http://deb.debian.org/debian/ stretch-updates main contrib non-free


xillis@debian:~$

Edit à toto :
Mis les balises du forum en conformité pour une meilleure lecture du post.

Hors ligne

#15 18-07-2017 18:31:00

Xillis
Membre
Distrib. : DFLinux 17
Inscription : 02-07-2017

Re : l'extension .rpm

Est ce que quelqu'un est disponible traiter ce sujet ?
Merci

Hors ligne

#16 18-07-2017 18:56:52

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : l'extension .rpm

apt-cache show hardinfo


Package: hardinfo
Version: 0.5.1-1.4
Installed-Size: 456
Maintainer: Agney Lopes Roth Ferraz <agney@debian.org>
Architecture: amd64
Depends: libatk1.0-0 (>= 1.12.4), libc6 (>= 2.14), libcairo2 (>= 1.2.4), libffi6 (>= 3.0.4), libfontconfig1 (>= 2.11), libfreetype6 (>= 2.2.1), libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.35.9), libgtk2.0-0 (>= 2.12.0), liblzma5 (>= 5.1.1alpha+20110809), libpango-1.0-0 (>= 1.14.0), libpangocairo-1.0-0 (>= 1.14.0), libpangoft2-1.0-0 (>= 1.14.0), libpcre3 (>= 8.10), libselinux1 (>= 1.32), libsoup2.4-1 (>= 2.4.0), libxml2 (>= 2.6.27), zlib1g (>= 1:1.1.4), pciutils (>= 1:2.1.11-10)
Suggests: mesa-utils
Description-fr: Affiche des informations sur le système
 HardInfo est une petite application qui affiche des informations à propos
 de votre matériel et de votre système d'exploitation. Actuellement, il
 reconnaît les bus PCI, ISA PnP, USB, IDE, SCSI et les ports série et
 parallèle.
Description-md5: 19d3763ccb20f95253134c924f126657
Tag: hardware::detection, interface::x11, role::program, scope::utility,
 uitoolkit::gtk, use::scanning, use::viewing, x11::application
Section: x11
Priority: optional
Filename: pool/main/h/hardinfo/hardinfo_0.5.1-1.4_amd64.deb
Size: 225520
MD5sum: fb19ada2f088d5375217efc639dfdf17
SHA1: a7c5085cc51c0b9c9afee547bc0cfedb907bd6e1
SHA256: 3014a25d2682834bf814f7d6ed4143e5e06b0b6a91bd15f3314ecf400ed6af19


Je possède bien ce paquet en Jessie backport.
Que te renvoie la même commande, soit :

apt-cache show hardinfo


Utilise l'autocompletion pour être sûr et non le copie/colle.

... black_cat_1.gif


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#17 21-07-2017 18:06:34

Xillis
Membre
Distrib. : DFLinux 17
Inscription : 02-07-2017

Re : l'extension .rpm


xillis@debian:~$ apt-cache show hardinfo
Package: hardinfo
Source: hardinfo (0.5.1-1.5)
Version: 0.5.1-1.5+b3
Installed-Size: 470
Maintainer: Agney Lopes Roth Ferraz <agney@debian.org>
Architecture: i386
Depends: libatk1.0-0 (>= 1.12.4), libc6 (>= 2.7), libcairo2 (>= 1.2.4), libffi6 (>= 3.0.4), libfontconfig1 (>= 2.11), libfreetype6 (>= 2.2.1), libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.35.9), libgtk2.0-0 (>= 2.12.0), libicu57 (>= 57.1-1~), liblzma5 (>= 5.1.1alpha+20110809), libpango-1.0-0 (>= 1.14.0), libpangocairo-1.0-0 (>= 1.14.0), libpangoft2-1.0-0 (>= 1.14.0), libpcre3, libselinux1 (>= 1.32), libsoup2.4-1 (>= 2.4.0), libxml2 (>= 2.6.27), zlib1g (>= 1:1.1.4), pciutils (>= 1:2.1.11-10)
Suggests: mesa-utils
Description-fr: Affiche des informations sur le système
 HardInfo est une petite application qui affiche des informations à propos
 de votre matériel et de votre système d'exploitation. Actuellement, il
 reconnaît les bus PCI, ISA PnP, USB, IDE, SCSI et les ports série et
 parallèle.
Description-md5: 19d3763ccb20f95253134c924f126657
Tag: hardware::detection, interface::graphical, interface::x11,
 role::program, scope::utility, uitoolkit::gtk, use::scanning,
 use::viewing, x11::application
Section: x11
Priority: optional
Filename: pool/main/h/hardinfo/hardinfo_0.5.1-1.5+b3_i386.deb
Size: 222590
MD5sum: eb1f68885173a10ab9546e5b3efddee2
SHA256: 3e04959726784a48d5aba8858f5a86834bfd82ea75b3f4d0ad555ebd920e4f59

xillis@debian:~$

 

Hors ligne

#18 21-07-2017 20:12:35

deuchdeb
Moderato ma non troppo
Lieu : Pays de Cocagne
Distrib. : Stretch 9 + backports
Noyau : Noyau stable
(G)UI : KDE 5.8 - Gnome 3.22
Inscription : 13-01-2010

Re : l'extension .rpm

J'attire votre attention sur le fait que Google-chrome n'existe plus en version i386 pour Linux.

Hors ligne

Pied de page des forums